/*
 * Copyright 2009 Lari Natri <lari.natri@gmail.com>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


package compid.report;

import net.aavalla.utils.jobpool.parameters.validators.*;
import net.aavalla.utils.jobpool.parameters.*;
import compid.application.CompidApp;
import compid.application.DatasetsHandler;

/**
 *
 * @author Lari Natri
 */
public class UniqueDatasetTitleValidator extends ParameterValidator<String> {

    public UniqueDatasetTitleValidator(FieldInstance field, String[] settings) {
        super(field, settings);
    }

    @Override
    public String uiValidationRules() {
        return "Dataset title must be unique";
    }

    @Override
    public String validate(String param) {
        if (param==null || param.equals(""))
            return "Dataset title is not set";
        DatasetsHandler dh = CompidApp.getApplication().getDatasetsHandler();
        if (dh.titleExists(param)) {
            return "Dataset title must be unique";
        }
        return null;
    }


}
